---
title: Get the Content Scanning status for a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Content Scanning](https://developers.cloudflare.com/api/python/resources/content_scanning)

[Settings](https://developers.cloudflare.com/api/python/resources/content_scanning/subresources/settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the Content Scanning status for a zone.

content\_scanning.settings.get(SettingGetParams\*\*kwargs) -> [SettingGetResponse](<https://developers.cloudflare.com/api/python/resources/content_scanning#(resource)%20content_scanning.settings%20%3E%20(model)%20setting_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/content-upload-scan/settings

Get the current Content Scanning status for the zone, together with the date the status was last modified.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Zone WAF Read``Account WAF Write``Account WAF Read`

##### ParametersExpand Collapse

zone\_id: str

Defines an identifier.

maxLength32

[Link to this property](<#(resource)%20content_scanning.settings%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SettingGetResponse: …

Defines the status for Content Scanning.

</summary>

modified: Optional\[str]

Defines the last modification date (ISO 8601) of the Content Scanning status.

<a href="#(resource)%20content_scanning.settings%20%3E%20(model)%20setting_get_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

value: Optional\[str]

Defines the status of Content Scanning.

<a href="#(resource)%20content_scanning.settings%20%3E%20(model)%20setting_get_response%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning.settings%20%3E%20(model)%20setting_get_response%20%3E%20(schema)>)

### Get the Content Scanning status for a zone.

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
setting = client.content_scanning.settings.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(setting.modified)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": "2024-12-02T09:57:23.150259Z",
    "value": "enabled"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": "2024-12-02T09:57:23.150259Z",
    "value": "enabled"
  },
  "success": true
}
```